TYPO3 Core - Bug #87046

Exception on sendToStage with User TsConfig option "options.workspaces.changeStageMode =
pages"”
2018-11-30 09:44 - Devid Messner

Status: Closed Start date: 2018-11-30
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Workspaces Estimated time: 0.00 hour
Target version:

TYPOS3 Version: 9 Complexity:

PHP Version: 7.2 Is Regression:

Tags: Sprint Focus:

Description

steps to reproduce

1. set User TsConfig settings "options.workspaces.changeStageMode = pages”
2. modify a content element

3. save the content & go to the preview

4. click "send to stage .." - button

you get an exception in the ajax request:
(1/1) #1476107295 TYPO3\CMS\Core\Error\Exception

PHP Warning: Illegal offset type in /typo3/sysext/workspaces/Classes/DataHandler/CommandMap.php 11
ne 565

Related issues:
Related to TYPO3 Core - Task #88172: Add scalar/return type hints in CommandMap Rejected 2019-04-18

Associated revisions

Revision 5a59afc3 - 2019-04-24 21:35 - Devid Messner

[BUGFIX] Use correct value for remove function

The function "remove" requires a string for the param $id,
but got an array.

Resolves: #87046

Releases: master, 9.5

Change-Id: la7b6d7ac107{65fb219577e2803509fb7882d21a
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/58997
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Benni Mack <benni@typo3.org>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Stefan Froemken <froemken@gmail.com>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Reviewed-by: Benni Mack <benni@typo3.org>

Revision e031b0ba - 2019-04-24 22:08 - Devid Messner

[BUGFIX] Use correct value for remove function

The function "remove" requires a string for the param $id,
but got an array.

Resolves: #87046

Releases: master, 9.5

Change-Id: la7b6d7ac107{65fb219577e2803509fb7882d21a
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/60533
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Benni Mack <benni@typo3.org>

Reviewed-by: Benni Mack <benni@typo3.org>
History

#1 - 2018-11-30 10:55 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/58997

#2 - 2018-11-30 13:10 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https:/review.typo3.0rg/58997

#3 - 2018-11-30 14:06 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/58997

#4 - 2019-04-17 17:44 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/58997

#5 - 2019-04-17 18:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review. .org/c/Pack TYP

#6 - 2019-04-18 11:09 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/58997

#7 - 2019-04-18 11:13 - Mathias Brodala
- Related to Task #88172: Add scalar/return type hints in CommandMap added

#8 - 2019-04-23 20:48 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/58997

#9 - 2019-04-24 21:36 - Gerrit Code Review

Patch set 1 for branch 9.5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/60533

#10 - 2019-04-24 22:00 - Devid Messner
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 5a59afc336f22c3c74add19509241cce1415559b.

#11 - 2019-05-07 12:15 - Benni Mack

- Status changed from Resolved to Closed
